// creator  : weidu.exe (version 23100)
// argument : SEWERM1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SEWERM1~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 19 even though they appear after this state */
~Global("TalkedToQuallo","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #27027 /* ~You have come for the blade, I suppose. It is as we have always expected, my friend (he glances to the creature beside him). Too long in this pit, too long.~ */
  IF ~~ THEN REPLY #27163 /* ~What friend? Who are you speaking to?~ */ GOTO 8
  IF ~~ THEN REPLY #27164 /* ~What blade do you speak of, old man?~ */ GOTO 2
  IF ~~ THEN REPLY #27165 /* ~Who are you and how did you end up living in this sewer?~ */ GOTO 4
  IF ~~ THEN REPLY #27169 /* ~I am not in a mood to converse with madmen of the sewers. Back to your slime pit, old fool!~ */ GOTO 3
  IF ~!Dead("SEWCC")~ THEN REPLY #59453 /* ~Move aside so that I can kill this rotten crawler that stands so dangerously close to you.~ */ GOTO 25
END

IF ~~ THEN BEGIN 1 // from: 25.0 8.0
  SAY #27166 /* ~He loves affection. He loves to taste the flesh of the unwary. It is his one weakness. It has been his gift to me for these long years.~ */
  IF ~~ THEN REPLY #27167 /* ~This horrible creature is your friend?~ */ GOTO 5
  IF ~~ THEN REPLY #27168 /* ~What blade did you speak of earlier?~ */ GOTO 2
  IF ~~ THEN REPLY #27170 /* ~I am not in a mood to converse with madmen of the sewers. Back to your slime pit, old fool!~ */ GOTO 3
  IF ~~ THEN REPLY #27171 /* ~Who are you and how did you end up living in this sewer?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 10.0 9.1 5.0 4.1 1.1 0.1
  SAY #27172 /* ~The gleam in your eye! It belies your greed, your passion. I've found this blade, child! It is hidden most insidiously. A cruel jest has been played upon us all. My friend here knows this!~ */
  IF ~~ THEN REPLY #27173 /* ~Where can I find this blade?~ */ GOTO 6
  IF ~~ THEN REPLY #27174 /* ~Who is this friend that you speak to?~ */ GOTO 8
  IF ~~ THEN REPLY #27175 /* ~I must take my leave of you, old man.~ */ GOTO 3
  IF ~~ THEN REPLY #27176 /* ~Who are you and how did you end up living in this sewer?~ */ GOTO 4
  IF ~~ THEN REPLY #27191 /* ~What joke has been played upon us?~ */ GOTO 9
END

IF ~~ THEN BEGIN 3 // from: 10.1 9.2 5.1 4.2 2.2 1.2 0.3
  SAY #27177 /* ~Remember me when you feel a blade in your hand, child, for I may never see battle beneath the sun again.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.3 1.3 0.2
  SAY #27178 /* ~I have been called Quallo in this place but that name is truly another's. My name is sung both near and far. On the tongues of bards and the lips of fools.~ */
  IF ~~ THEN REPLY #27179 /* ~You consider yourself to be famous? I have never heard of you.~ */ GOTO 10
  IF ~~ THEN REPLY #27180 /* ~Tell me of this blade that you mentioned.~ */ GOTO 2
  IF ~~ THEN REPLY #27182 /* ~I must take my leave of you, old man.~ */ GOTO 3
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #27185 /* ~My one true companion, topsider.~ */
  IF ~~ THEN REPLY #27188 /* ~I see. Tell me of this blade that you spoke of earlier.~ */ GOTO 2
  IF ~~ THEN REPLY #27189 /* ~I must take my leave of you, old man.~ */ GOTO 3
END

IF ~~ THEN BEGIN 6 // from: 2.0
  SAY #27192 /* ~The One has left clues for you. Have you not found the clues? Where the topside filth drains, there are the clues. Return to me ere you follow the One's path, for there is much that you must learn.~ */
  IF ~~ THEN REPLY #27194 /* ~I shall look for these clues and return.~ */ DO ~SetGlobal("TalkedToQuallo","GLOBAL",1)
~ GOTO 13
  IF ~~ THEN REPLY #27199 /* ~Who is the One?~ */ DO ~SetGlobal("TalkedToQuallo","GLOBAL",1)~ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 9.0 6.1
  SAY #27206 /* ~You have met him already, child. Perhaps soon you shall know him well.  Find the clues the One has left. There is danger in what you must undertake.~ */
  IF ~~ THEN REPLY #27187 /* ~I shall look for these clues and return.~ */ DO ~SetGlobal("TalkedToQuallo","GLOBAL",1)
~ GOTO 13
END

IF ~~ THEN BEGIN 8 // from: 2.1 0.0
  SAY #27234 /* ~This beast that you see, he is a monster to you but to me he is a friend. Would you like to kiss him?~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 9 // from: 2.4
  SAY #27242 /* ~The eternal jest! The jest of those who believe that hiding equals safety. Find the One and you may understand.~ */
  IF ~~ THEN REPLY #27243 /* ~Who is the One that you speak of?~ */ GOTO 7
  IF ~~ THEN REPLY #27244 /* ~Where is the blade that you spoke of?~ */ GOTO 2
  IF ~~ THEN REPLY #27246 /* ~I must take my leave of you, old man.~ */ GOTO 3
END

IF ~~ THEN BEGIN 10 // from: 4.0
  SAY #27253 /* ~I cut a swath across the world above ere I was cast into the pool to be hidden. When you have found the One you may understand.~ */
  IF ~~ THEN REPLY #27249 /* ~Tell me of this blade.~ */ GOTO 2
  IF ~~ THEN REPLY #27254 /* ~I must take my leave of you, old man.~ */ GOTO 3
END

IF WEIGHT #2 /* Triggers after states #: 19 even though they appear after this state */
~Global("TalkedToQuallo","GLOBAL",1)
~ THEN BEGIN 11 // from:
  SAY #27258 /* ~Have you found the clues, child, or must this place remain a tomb forever?~ */
  IF ~~ THEN REPLY #27259 /* ~I have found your clues, old man.~ */ GOTO 15
  IF ~~ THEN REPLY #27260 /* ~I have found nothing. Where should I look?~ */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 15.0
  SAY #27265 /* ~Ask what you will of me about the keys, and I shall give you what answers you are worthy of. Some questions I may not answer.~ */
  IF ~PartyHasItem("MISC5R")
~ THEN REPLY #27270 /* ~Can you tell me about this ring?~ */ GOTO 14
  IF ~PartyHasItem("MISC5Q")
~ THEN REPLY #9876 /* ~What of this blood of a true friend that the riddle speaks of?~ */ DO ~DisplayString(Myself,9893)
~ EXIT
  IF ~PartyHasItem("MISC5S")
~ THEN REPLY #9877 /* ~When should I use this hand?~ */ GOTO 16
  IF ~PartyHasItem("MISC5T")
~ THEN REPLY #9878 /* ~This staff, what use is it to me?~ */ GOTO 17
  IF ~~ THEN REPLY #9879 /* ~I have no questions for you at this time.~ */ EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1 7.0 6.0
  SAY #27268 /* ~Where the topside filth drains, there are the clues. Return to me ere you follow the One's path, for there is much that you must learn.~ */
  IF ~!IsValidForPartyDialog("Korgan")
!IsValidForPartyDialog("Edwin")~ THEN UNSOLVED_JOURNAL #34144 /* ~Solve the riddle in the sewers.

A man named Quallo has mentioned something about a blade and clues being hidden in the sewer.  I am to seek out these clues elsewhere in the sewer, presumably where the water drains from above.~ */ EXIT
  IF ~IsValidForPartyDialog("Korgan")~ THEN UNSOLVED_JOURNAL #34144 /* ~Solve the riddle in the sewers.

A man named Quallo has mentioned something about a blade and clues being hidden in the sewer.  I am to seek out these clues elsewhere in the sewer, presumably where the water drains from above.~ */ EXTERN ~KORGANJ~ 67
  IF ~!IsValidForPartyDialog("Korgan")
IsValidForPartyDialog("Edwin")~ THEN UNSOLVED_JOURNAL #34144 /* ~Solve the riddle in the sewers.

A man named Quallo has mentioned something about a blade and clues being hidden in the sewer.  I am to seek out these clues elsewhere in the sewer, presumably where the water drains from above.~ */ EXTERN ~EDWINJ~ 42
END

IF ~~ THEN BEGIN 14 // from: 18.0 17.0 16.1 12.0
  SAY #9880 /* ~It is not first, nor does it belong in the third pipe.~ */
  IF ~PartyHasItem("MISC5Q")
~ THEN REPLY #9881 /* ~What of this blood of a true friend that the riddle speaks of?~ */ DO ~DisplayString(Myself,9893)
~ UNSOLVED_JOURNAL #34168 /* ~Solve the riddle in the sewers.

The ring I acquired from the skeletons, according to Quallo, belongs in neither the first nor the third pipe.~ */ EXIT
  IF ~PartyHasItem("MISC5S")
~ THEN REPLY #9882 /* ~When should I use this hand?~ */ UNSOLVED_JOURNAL #34168 /* ~Solve the riddle in the sewers.

The ring I acquired from the skeletons, according to Quallo, belongs in neither the first nor the third pipe.~ */ GOTO 16
  IF ~PartyHasItem("MISC5T")
~ THEN REPLY #9883 /* ~This staff, what use is it to me?~ */ UNSOLVED_JOURNAL #34168 /* ~Solve the riddle in the sewers.

The ring I acquired from the skeletons, according to Quallo, belongs in neither the first nor the third pipe.~ */ GOTO 17
  IF ~~ THEN REPLY #9892 /* ~I have no questions for you at this time.~ */ UNSOLVED_JOURNAL #34168 /* ~Solve the riddle in the sewers.

The ring I acquired from the skeletons, according to Quallo, belongs in neither the first nor the third pipe.~ */ EXIT
END

IF ~~ THEN BEGIN 15 // from: 11.0
  SAY #9895 /* ~Then the One has told you that it requires 4 things to unlock itself. The lock is more complicated than that. The keys must be used in the correct order.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedToQuallo","GLOBAL",2)
~ GOTO 12
END

IF ~~ THEN BEGIN 16 // from: 18.3 17.2 14.1 12.2
  SAY #9897 /* ~It was Vallah's hand that cast the One into the depths. His suffering is of prime importance.~ */
  IF ~PartyHasItem("MISC5Q")
~ THEN REPLY #9899 /* ~What of this blood of a true friend that the riddle speaks of?~ */ DO ~DisplayString(Myself,9893)
~ UNSOLVED_JOURNAL #34172 /* ~Solve the riddle in the sewers.

According to Quallo, Vallah's hand represents suffering... which is of prime importance.  Presumably he is referring to its order in the pipes.~ */ EXIT
  IF ~PartyHasItem("MISC5R")
~ THEN REPLY #9900 /* ~Can you tell me about this ring?~ */ UNSOLVED_JOURNAL #34172 /* ~Solve the riddle in the sewers.

According to Quallo, Vallah's hand represents suffering... which is of prime importance.  Presumably he is referring to its order in the pipes.~ */ GOTO 14
  IF ~PartyHasItem("MISC5T")
~ THEN REPLY #9901 /* ~This staff, what use is it to me?~ */ UNSOLVED_JOURNAL #34172 /* ~Solve the riddle in the sewers.

According to Quallo, Vallah's hand represents suffering... which is of prime importance.  Presumably he is referring to its order in the pipes.~ */ GOTO 17
  IF ~~ THEN REPLY #9902 /* ~I have no questions for you at this time.~ */ UNSOLVED_JOURNAL #34172 /* ~Solve the riddle in the sewers.

According to Quallo, Vallah's hand represents suffering... which is of prime importance.  Presumably he is referring to its order in the pipes.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: 18.2 16.2 14.2 12.3
  SAY #9898 /* ~The staff shall seal the bargain and prove your worth.~ */
  IF ~PartyHasItem("MISC5R")
~ THEN REPLY #9911 /* ~Can you tell me about this ring?~ */ UNSOLVED_JOURNAL #34182 /* ~Solve the riddle in the sewers.

The staff I acquired from the Kobold shaman will 'seal the deal', according to Quallo.~ */ GOTO 14
  IF ~PartyHasItem("MISC5Q")
~ THEN REPLY #9922 /* ~What of this blood of a true friend that the riddle speaks of?~ */ DO ~DisplayString(Myself,9893)
~ UNSOLVED_JOURNAL #34182 /* ~Solve the riddle in the sewers.

The staff I acquired from the Kobold shaman will 'seal the deal', according to Quallo.~ */ EXIT
  IF ~PartyHasItem("MISC5S")
~ THEN REPLY #9924 /* ~When should I use this hand?~ */ UNSOLVED_JOURNAL #34182 /* ~Solve the riddle in the sewers.

The staff I acquired from the Kobold shaman will 'seal the deal', according to Quallo.~ */ GOTO 16
  IF ~~ THEN REPLY #9929 /* ~I have no questions for you at this time.~ */ UNSOLVED_JOURNAL #34182 /* ~Solve the riddle in the sewers.

The staff I acquired from the Kobold shaman will 'seal the deal', according to Quallo.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 19 even though they appear after this state */
~Global("TalkedToQuallo","GLOBAL",2)
~ THEN BEGIN 18 // from:
  SAY #9871 /* ~Ask what you will of me about the keys, and I shall give you what answers you are worthy of. Some questions I may not answer.~ */
  IF ~PartyHasItem("MISC5R")
~ THEN REPLY #9872 /* ~Can you tell me about this ring?~ */ GOTO 14
  IF ~PartyHasItem("MISC5Q")
~ THEN REPLY #9935 /* ~What of this blood of a true friend that the riddle speaks of?~ */ DO ~DisplayString(Myself,9893)
~ EXIT
  IF ~PartyHasItem("MISC5T")~ THEN REPLY #9936 /* ~This staff, what use is it to me?~ */ GOTO 17
  IF ~PartyHasItem("MISC5S")
~ THEN REPLY #9937 /* ~When should I use this hand?~ */ GOTO 16
  IF ~~ THEN REPLY #18905 /* ~I have no questions for you at this time.~ */ EXIT
END

IF WEIGHT #0 ~PartyHasItem("SW2H14")
~ THEN BEGIN 19 // from:
  SAY #27283 /* ~Who... who are you? What has happened to me?~ */
  IF ~GlobalGT("TalkedToQuallo","GLOBAL",0)
~ THEN REPLY #27284 /* ~Do you not know me? We have spoken before.~ */ GOTO 20
  IF ~~ THEN REPLY #27286 /* ~How did you get down here?~ */ GOTO 21
  IF ~~ THEN REPLY #27287 /* ~I don't care. Begone from my sight, old man.~ */ GOTO 22
  IF ~~ THEN REPLY #27290 /* ~Excuse me. I haven't the time to speak with you at present.~ */ GOTO 21
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #27291 /* ~I remember you faintly. It was not me that you spoke with. It was the thing... the person... I don't know! That which compelled me was the thing that spoke to you.~ */
  IF ~~ THEN REPLY #27292 /* ~Someone had dominated or charmed you?~ */ GOTO 23
  IF ~~ THEN REPLY #27294 /* ~This is very interesting but I must be going.~ */ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 19.3 19.1
  SAY #27295 /* ~It was not me that walked here. It was the thing... the person... I don't know! That which controlled me has brought me here. It is hard to remember. Like an old dream.~ */
  IF ~~ THEN REPLY #27298 /* ~You were brought here under domination?~ */ GOTO 23
  IF ~~ THEN REPLY #27302 /* ~This is very interesting but I must be going.~ */ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.1 20.1 19.2
  SAY #27306 /* ~It is a dream... how long have I been in this state?~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 23 // from: 21.0 20.0
  SAY #27310 /* ~I don't think that it was human... its conscience was too foreign. I can't remember... Gods! How long have I been here? What has happened to my family?~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Nalia")~ THEN DO ~EscapeArea()
~ EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEIRAJ~ 354
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 56
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Aerie")
IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 230
END

IF ~~ THEN BEGIN 24 // from:
  SAY #48508 /* ~Kill me if you must, impatient ones, but it shall place the blade in thy greedy hands no faster!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25 // from: 0.4
  SAY #59454 /* ~There is no need for that... he and I have an understanding.  We have been through much together.  Be wary though.~ */
  IF ~~ THEN GOTO 1
END
